;(function ($) {
	window.rrjDrawChart = function ( id, data ) {
		$( 'body' ).trigger( 'rrjDelayedChart', [id, data] )
	}
	window.rrjGetData = function ( __fname, __success, __error, __thisArg, __extraData ) {
		$.ajax( {
			type: 'POST',
			url: rrjVars.ajaxUrl,
			data: {
				action: 'rrj_run_fn',
				fn: __fname,
				conditionals: rrjVars.condsJson,
			},
			success: function ( textResponse, status, xhr ) {
				if ( 'function' == typeof __success ) {
					__success.call( __thisArg, textResponse, __extraData );
				}
			},
			error: function ( req, status, err ) {
				if ( 'function' == typeof __error ) {
					__error.call( __thisArg, req, __extraData );
				}
			},
		} );
	}
	window.rrjJsonGetData = function ( __fname, __success, __error, __thisArg, __extraData ) {
		$.ajax( {
			type: 'GET',
			url: rrjVars.restUrl + __fname + '/' + rrjVars.condsEncoded,
			success: function ( textResponse, status, xhr ) {
				if ( 'function' == typeof __success ) {
					__success.call( __thisArg, textResponse, __extraData );
				}
			},
			error: function ( req, status, err ) {
				if ( 'function' == typeof __error ) {
					__error.call( __thisArg, req, __extraData );
				}
			},
		} );
	}
})( window.jQuery );
