<?php
/**
 * File system credentials form with wrappers.
 * 
 * @package: msre
 */

?>
<div id="rfc-wrap">
    <div class="outer">
        <div class="mid">
            <div class="inner">
                <div class="deepest">
                    <?php request_filesystem_credentials( $url, $type, $errors, $directory, $fields ); ?>
                    <div class="overlay">
                        <div class="outer">
                            <div class="mid" style="text-align:center;width:100%;">
                                <div class="inner">
                                    <img alt="processing" src="<?php echo esc_url( plugin_dir_url( __FILE__ ) . 'spinner-2x.gif' ); ?>" />
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<style type="text/css">
    #rfc-wrap {
        position: fixed;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        background-color: rgba(0,0,0,.5);
        z-index:10
    }
    #rfc-wrap .outer {
        position: relative;
        height: 100%;
        width: 60%;
        margin: auto;
    }
    #rfc-wrap .mid {
        display: table;
        width: 100%;
        height: 100%;
    }
    #rfc-wrap .inner {
        display: table-cell;
        vertical-align: middle;
    }
    #rfc-wrap .deepest {
        background-color: #f1f1f1;
        padding: 1em;
        border: 2px solid #d6d6d6;
        position: relative;
    }
    #rfc-wrap .cancel-button {
        display: inline;
    }
    #rfc-wrap .overlay {
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        background-color: rgba(255, 255, 255, .8);
        z-index:12;
        display:none;
    }
</style>